[book]
title = "Prologin Infrastructure Documentation"
authors = []
language = "en"
multilingual = false
src = "doc"

[preprocessor.mermaid]
command = "mdbook-mermaid"

[preprocessor.gitlinks]
command = "python3 doc/mdbook-gitlinks-preprocessor.py"
git-base-url = "https://gitlab.com/prologin/"

[output.html]
default-theme = "ayu"
preferred-dark-theme = "ayu"
git-repository-url = "https://gitlab.com/prologin/tech/infra/infrastructure"
git-repository-icon = "fa-gitlab"
additional-js = ["doc/mermaid.min.js", "doc/mermaid-init.js"]

[output.html.fold]
enable = true

[output.linkcheck]
follow-web-links = true
traverse-parent-directories = true
warning-policy = "error"
exclude = [
  'https://gitlab.com/prologin/tech/infra/terraform/gitlab',
]
